### Constructor

# RB TrackTransferQueue new

#### Declaration [src]

    RBTrackTransferQueue*
    rb_track_transfer_queue_new (
      RBShell* shell
    )

#### Description [src]

Creates the `RBTrackTransferQueue` instance.

#### Parameters

`shell`

  Type: `RBShell`

  The `RBShell`.

  The data is owned by the caller of the function.

#### Return value

Type: `RBTrackTransferQueue`

The `RBTrackTransferQueue`.

The caller of the function takes ownership of the data, and is responsible for freeing it.